package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * PrTheorypowerData对象 pr_theorypower_data
 * 
 * @author hlf
 * @date 2022-11-08
 */
public class PrTheorypowerData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Long projectNo;

    private Date dataTime;

    private Double theorypower;

    private Double availablepower;

    private Long isLimit;

    private Long dataFlag;

    public void setWindplantNo(Long windplantNo) 
    {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() 
    {
        return windplantNo;
    }
    public void setProjectNo(Long projectNo) 
    {
        this.projectNo = projectNo;
    }

    public Long getProjectNo() 
    {
        return projectNo;
    }
    public void setDataTime(Date dataTime) 
    {
        this.dataTime = dataTime;
    }

    public Date getDataTime() 
    {
        return dataTime;
    }
    public void setTheorypower(Double theorypower) 
    {
        this.theorypower = theorypower;
    }

    public Double getTheorypower() 
    {
        return theorypower;
    }
    public void setAvailablepower(Double availablepower) 
    {
        this.availablepower = availablepower;
    }

    public Double getAvailablepower() 
    {
        return availablepower;
    }
    public void setIsLimit(Long isLimit) 
    {
        this.isLimit = isLimit;
    }

    public Long getIsLimit() 
    {
        return isLimit;
    }
    public void setDataFlag(Long dataFlag) 
    {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() 
    {
        return dataFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("windplantNo", getWindplantNo())
            .append("projectNo", getProjectNo())
            .append("dataTime", getDataTime())
            .append("theorypower", getTheorypower())
            .append("availablepower", getAvailablepower())
            .append("isLimit", getIsLimit())
            .append("dataFlag", getDataFlag())
            .toString();
    }
}
